package tr.edu.bilkent.cs.partitioning.ccp.hetccp;

/**
 * BoundCompareResult.
 *
 * Date: 15.02.2006
 */
public enum BoundCompareResult{
    /**
     * The compared value is less than bound range, i.e. x &lt; LB.
     */
    LESS,

    /**
     * The compared value is equal to the lower bound of the range, i.e. x = LB.
     */
    LB,

    /**
     * The compared value is between lower and upper bound, i.e. LB &lt; x &lt; UB.
     */
    BETWEEN,

    /**
     * The compared value is equal to the upper bound, i.e. x = UB.
     */
    UB,

    /**
     * The compared value is greater than the upper bound, i.e. UB &lt; x .
     */
    GREATER
}
