package tr.edu.bilkent.cs.partitioning.ccp.hetccp;

/**
 * Implementation of the Interval interface.
 */
public class IntervalImpl implements Interval {
    /**
     * first of interval.
     */
    private int first;

    /**
     * last of interval.
     */
    private int last;

    public int getFirst() {
        return first;
    }

    public void setFirst(int first) {
        this.first = first;
    }

    public int getLast() {
        return last;
    }

    public void setLast(int last) {
        this.last = last;
    }

    public boolean converged() {
        return first>=last;
    }

    public int getMidPoint() {
        return (first + last) >> 1;
    }
}
