package tr.edu.bilkent.cs.partitioning.ccp.hetccp;

import tr.edu.bilkent.cs.partitioning.ccp.Partition;

/**
 * Implementation for ProbeResult.
 * This implementation is immutable.
 */
public class ProbeResultImpl implements ProbeResult {
    /**
     * probed attribute.
     */
    private boolean probed;

    /**
     * partition of the probe.
     */
    private Partition partition;

    /**
     * Constructor.
     *
     * @param probed probed.
     * @param partition partition.
     */
    public ProbeResultImpl(boolean probed, Partition partition) {
        this.probed = probed;
        this.partition = partition;
    }

    public boolean isProbed() {
        return probed;
    }

    public Partition getPartition(){
        return partition;
    }
}
