package tr.edu.bilkent.cs.partitioning.ccp.hetccp;

import tr.edu.bilkent.cs.partitioning.ccp.Partition;

/**
 * The holder for probe result.
 */
public interface ProbeResult {
    /**
     * Probe is successful.
     *
     * @return probe is successful.
     */
    boolean isProbed();

    /**
     * Partition generated with probe call.
     *
     * @return partition of the probe.
     */
    Partition getPartition();
}
